CREATE TABLE ask_requests (
    REQ_ID                    NUMBER(18, 0) ,
    REQUEST_TYPE              VARCHAR2(120)     NOT NULL,
    REQUEST_NAME              VARCHAR2(1200)    NOT NULL,
    REQUEST_DESC              VARCHAR2(1200)    NOT NULL,
    STATUS_CODE               VARCHAR2(120)     NOT NULL,
    LOG_FILE                  CLOB          ,
    REPORT_FILE               BLOB          ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CREATED_BY_FLOW           VARCHAR2(120) ,
    REQ_ID                    NUMBER(18, 0) ,
    REQUEST_TYPE              VARCHAR2(120)     NOT NULL,
    REQUEST_NAME              VARCHAR2(1200)    NOT NULL,
    REQUEST_DESC              VARCHAR2(1200)    NOT NULL,
    STATUS_CODE               VARCHAR2(120)     NOT NULL,
    LOG_FILE                  CLOB          ,
    REPORT_FILE               BLOB          ,
    REQUEST_ID                NUMBER(18, 0) ,
    JOB_DEFINITION_NAME       VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE    VARCHAR2(3600),
    ENTERPRISE_ID             NUMBER(18, 0)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)      NOT NULL,
    CREATED_BY                VARCHAR2(256)     NOT NULL,
    CREATION_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE          TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128) ,
    CREATED_BY_FLOW           VARCHAR2(120) ,
    CONSTRAINT pk_ask_requests PRIMARY KEY (REQ_ID, REQ_ID)
);
